Summary:   The GNU disk partition manipulation program
Name   :   parted
Version:   3.6
Release:   2%{?dist}
License:   GPLv3+
URL    :   http://www.gnu.org/software/parted
Source0:   https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz

BuildRequires: e2fsprogs-devel readline-devel ncurses-devel device-mapper-devel libuuid-devel gettext-devel libblkid-devel >= 2.17
BuildRequires: automake libtool texinfo pkgconfig gperf git libtool e2fsprogs xfsprogs dosfstools perl-Digest-CRC bc python3 gperf make
Provides: bundled(gnulib)

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.

%package devel
Summary:  Files for developing apps which will manipulate disk partitions
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.

%prep
%autosetup -S git_am
iconv -f ISO-8859-1 -t UTF8 AUTHORS > tmp; touch -r AUTHORS tmp; mv tmp AUTHORS

%build
autoreconf -fiv
CFLAGS="$RPM_OPT_FLAGS -Wno-unused-but-set-variable"; export CFLAGS
%configure \
   --enable-shared \
   --disable-static \
   --disable-gcc-warnings \
   --enable-device-mapper \
   --enable-part-static \
   --enable-Werror=yes
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_bindir}/label
rm -rf %{buildroot}%{_bindir}/disk
%find_lang %{name}

%check
export LD_LIBRARY_PATH=$(pwd)/libparted/.libs:$(pwd)/libparted/fs/.libs
make check

%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README THANKS
%{_sbindir}/parted
%{_sbindir}/partprobe
%{_mandir}/man8/parted.8.gz
%{_mandir}/man8/partprobe.8.gz
%{_libdir}/libparted.so.2
%{_libdir}/libparted.so.2.0.5
%{_libdir}/libparted-fs-resize.so.0
%{_libdir}/libparted-fs-resize.so.0.0.5
%{_infodir}/parted.info.*

%files devel
%defattr(-,root,root,-)
%doc TODO doc/API doc/FAT
%{_includedir}/parted
%{_libdir}/libparted.so
%{_libdir}/libparted-fs-resize.so
%{_libdir}/pkgconfig/libparted.pc
%{_libdir}/pkgconfig/libparted-fs-resize.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Miaojun Dong <zoedong@tencent.com> - 3.6-1
- Bump version to 3.6
- Bump minor version on libparted.so and libparted-fs-resize.so

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Zhongze Hu <joshuahu@tencent.com> - 3.5-1
- init build

